Package name.pachler.nio.file.impl

# Class BSD.kevent

java.lang.Object
name.pachler.nio.file.impl.BSD.kevent

Enclosing class:
  `BSD`

public static class BSD.kevent extends Object

    struct kevent {
             uintptr_t ident;        // identifier for this event
             short     filter;       // filter for event
             u_short   flags;        // action flags for kqueue
             u_int     fflags;       // filter flag value
             intptr_t  data;         // filter data value
             void      *udata;       // opaque user data identifier
    };

## Constructor Summary

Constructors
Constructor
Description
`kevent()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`finalize()`
`long`
`get_data()`
`int`
`get_fflags()`
`short`
`get_filter()`
`short`
`get_flags()`
`long`
`get_ident()`
`Object`
`get_udata()`
`void`
`set_data(long data)`
`void`
`set_fflags(int fflags)`
`void`
`set_filter(short filter)`
`void`
`set_flags(short flags)`
`void`
`set_ident(long ident)`
`void`
`set_udata(Object udata)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### kevent

public kevent()

## Method Details

### finalize

protected void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

### get_ident

public long get_ident()

### set_ident

public void set_ident(long ident)

### get_filter

public short get_filter()

### set_filter

public void set_filter(short filter)

### get_flags

public short get_flags()

### set_flags

public void set_flags(short flags)

### get_fflags

public int get_fflags()

### set_fflags

public void set_fflags(int fflags)

### get_data

public long get_data()

### set_data

public void set_data(long data)

### get_udata

public Object get_udata()

### set_udata

public void set_udata(Object udata)

### toString

public String toString()

Overrides:
  `toString` in class `Object`